Package org.kie.api.runtime

# Interface KieRuntime

All Superinterfaces:
  `CommandExecutor`, `EntryPoint`, `KieRuntimeEventManager`, `ProcessEventManager`, `ProcessRuntime`, `RuleRuntime`, `RuleRuntimeEventManager`, `RuntimeSession`

All Known Subinterfaces:
  `KieSession`

public interface KieRuntime extends RuntimeSession, RuleRuntime, ProcessRuntime, KieRuntimeEventManager

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Calendars`
  `getCalendars()`
  `Environment`
  `getEnvironment()`
  `Object`
  `getGlobal(String identifier)`
  `<T extends SessionClock>
  T`
  `getSessionClock()`
  `KieSessionConfiguration`
  `getSessionConfiguration()`

  ### Methods inherited from interface org.kie.api.runtime.CommandExecutor

  `execute`

  ### Methods inherited from interface org.kie.api.runtime.rule.EntryPoint

  `delete, delete, getEntryPointId, getFactCount, getFactHandle, getFactHandles, getFactHandles, getInstancesOf, getObject, getObjects, getObjects, getSingleInstanceOf, insert, retract, update, update`

  ### Methods inherited from interface org.kie.api.event.KieRuntimeEventManager

  `getLogger`

  ### Methods inherited from interface org.kie.api.event.process.ProcessEventManager

  `addEventListener, getProcessEventListeners, removeEventListener`

  ### Methods inherited from interface org.kie.api.runtime.process.ProcessRuntime

  `abortProcessInstance, createProcessInstance, getProcessInstance, getProcessInstance, getProcessInstances, getWorkItemManager, signalEvent, signalEvent, startProcess, startProcess, startProcess, startProcess, startProcessFromNodeIds, startProcessInstance`

  ### Methods inherited from interface org.kie.api.runtime.rule.RuleRuntime

  `getAgenda, getEntryPoint, getEntryPoints, getQueryResults, halt, openLiveQuery`

  ### Methods inherited from interface org.kie.api.event.rule.RuleRuntimeEventManager

  `addEventListener, addEventListener, getAgendaEventListeners, getRuleRuntimeEventListeners, removeEventListener, removeEventListener`

  ### Methods inherited from interface org.kie.api.runtime.RuntimeSession

  `getChannels, getGlobals, getKieBase, registerChannel, setGlobal, unregisterChannel`

- ## Method Details

  - ### getSessionClock

    <T extends SessionClock> T getSessionClock()
    Returns:
      the session clock instance assigned to this session

  - ### getGlobal

    Object getGlobal(String identifier)

  - ### getCalendars

    Calendars getCalendars()

  - ### getEnvironment

    Environment getEnvironment()

  - ### getSessionConfiguration

    KieSessionConfiguration getSessionConfiguration()